Bug 1872460

Summary: "Numerical result out of range" error accessing various filesystems (read-only, CIFS...)
Product: [Fedora] Fedora Reporter: Adam Williamson <awilliam>
Component: glib2Assignee: Matthias Clasen <mclasen>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 33CC: caillon+fedoraproject, gnome-sig, john.j5live, kparal, mclasen, rhughes, rstrode, sandmann, tiagomatos
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: AcceptedFreezeException
Fixed In Version: glib2-2.65.2-3.fc33 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-08-31 20:08:19 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1766776    

Description Adam Williamson 2020-08-25 19:43:20 UTC
glib2 2.65.2 has a bug which can cause a "Numerical result out of range" error when accessing certain filesystems. This affects a wide range of apps - e.g. just about any GNOME or GTK+ app - as they use glib2 for filesystem access. The bug is known to affect read-only filesystems and CIFS shares, but may well affect other filesystems too.

There is already a fix for this upstream and I've backported it in glib2-2.65.2-3 , but as Fedora 33 is now frozen, we need a freeze exception to get this into Beta. So, filing this bug and proposing as a freeze exception. I will create an update and mark it as fixing this bug next. Obviously, this is a very visible bug if you have affected filesystems and will be present on lives so cannot be fully fixed with a post-release update.

Comment 1 Fedora Update System 2020-08-25 19:44:40 UTC
FEDORA-2020-fc47702b29 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fc47702b29

Comment 2 Fedora Update System 2020-08-26 17:06:44 UTC
FEDORA-2020-fc47702b29 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-fc47702b29`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fc47702b29

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Kamil Páral 2020-08-28 12:23:04 UTC
Accepted as a Beta freeze exception:
https://pagure.io/fedora-qa/blocker-review/issue/39

Comment 4 Fedora Update System 2020-08-31 20:08:19 UTC
FEDORA-2020-fc47702b29 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.